Bug 815220 - mkdumprd can't handle 'ext4 LABEL=KDUMP-TEST' when blkid -L $LABEL prints /dev/block/253:1
mkdumprd can't handle 'ext4 LABEL=KDUMP-TEST' when blkid -L $LABEL prints /de...
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: kexec-tools (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Baoquan He
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 815229
  Show dependency treegraph
 
Reported: 2012-04-23 03:17 EDT by WANG Chao
Modified: 2013-06-07 03:11 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 815229 (view as bug list)
Environment:
Last Closed: 2013-06-07 03:11:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description WANG Chao 2012-04-23 03:17:30 EDT
Description of problem:
When configuring 'ext4 LABLE=KDUMP-TEST' in kdump.conf, sometimes mkdumprd will fail with 'Dump target LABEL=KDUMP-TEST is probably not mounted.'

In function to_dev_name() of mkdumprd, blkid -L $LABEL isn't working as expected to print a string like `/dev/mapper/vg-host-lv_root`, but print /dev/block/253:1

# blkid
/dev/block/253:1: UUID="2be0f034-088c-4daa-b0fb-35a122f65d0e" TYPE="ext4" LABEL="KDUMP-TEST"
/dev/block/8:3: UUID="Mv49ix-3jCA-l3Qd-WCu8-S8kA-1y3r-2s5kLJ" TYPE="LVM2_member"
/dev/mapper/vg_ibmps70102-lv_root: UUID="2be0f034-088c-4daa-b0fb-35a122f65d0e" TYPE="ext4" LABEL="KDUMP-TEST"
/dev/sda2: UUID="e4a8f559-e01b-487c-9d54-026e42902eb3" TYPE="ext4"
/dev/mapper/vg_ibmps70102-lv_swap: UUID="e2e32626-6a32-4748-915b-3e51a1a9f033" TYPE="swap"
/dev/mapper/vg_ibmps70102-lv_home: UUID="28a2cc69-259a-475d-9c70-a91f9b619d63" TYPE="ext4"

# blkid -L KDUMP-TEST
/dev/block/253:1

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.e2lable /dev/mapper/vg_ibmps70102-lv_root KDUMP-TEST
2.config kdump.conf with ext4 LABEL=KDUMP-TEST
3.kdumpctl restart
  
Actual results:
mkdumprd failed
'Dump target LABEL=KDUMP-TEST is probably not mounted.'

Expected results:
mkdumprd success

Additional info:
Comment 1 WANG Chao 2012-04-23 03:25:32 EDT
There's another to_dev_name() in kdump.sh.

In the dumping progress, if blkid -L TEST-KDUMP prints something like /dev/block/253:1, sysroot won't be mounted, and vmcore will be saved to //var/crash/ in initramfs(the dracut env). This will cause system hang when there's not enough memory space and even memory is enough, the vmcore won't last until the next reboot
Comment 3 Fedora Admin XMLRPC Client 2013-02-25 03:06:42 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Note You need to log in before you can comment on or make changes to this bug.